
//**************************************************************************/
// Copyright (c) 2008 Autodesk, Inc.
// All rights reserved.
//
// Use of this software is subject to the terms of the Autodesk license
// agreement provided at the time of installation or download, or which
// otherwise accompanies this software in either electronic or hard copy form.
//
//**************************************************************************/
// DESCRIPTION:
// CREATED: December 2008
//**************************************************************************/

#if defined(JAMBUILD)
#include <Mudbox/mudbox.h>
#else
#include "../../include/Mudbox/mudbox.h"
#endif

// We are using the mudbox namespace. 
using namespace mudbox;

// Unlike the other plug-in examples, this one does not subclass a
// provided mudbox class to add new functionality.  Instead, a
// series of callback methods are defined that are called directly.

class MenuMessenger {

public:

	static void Initializer();
	
	static void ShowMessage1();
	static void ShowMessage2();
	static void ShowMessage3();
	static void ShowMessage4();
	static void ShowMessage5();
	static void ShowMessage6();
	static void ShowMessage7();
	static void ShowMessage8();
};
